#============================================================= -*-Perl-*-
#
# Template::Constants
#
# DESCRIPTION
#   Defintion of constants for the Template Toolkit.
# 
# AUTHOR
#   Andy Wardley <abw@kfs.org>
#
# COPYRIGHT
#   Copyright (C) 1996-2001 Andy Wardley.  All Rights Reserved.
#   Copyright (C) 1998-2001 Canon Research Centre Europe Ltd.
#
#   This module is free software; you can redistribute it and/or
#   modify it under the same terms as Perl itself.
#
# REVISION
#   $Id: Constants.pm,v 1.2 2001/06/19 16:15:25 abw Exp $
#
#========================================================================

package Template::Constants;

require 5.005;
require Exporter;

use strict;
use vars qw( $VERSION @ISA @EXPORT_OK %EXPORT_TAGS );
use base qw( Exporter );

$VERSION = sprintf("%d.%02d", q$Revision: 1.2 $ =~ /(\d+)\.(\d+)/);


#========================================================================
#                         ----- EXPORTER -----
#========================================================================

# CHOMP constants for PRE_CHOMP and POST_CHOMP
use constant CHOMP_NONE      => 0; # do not remove whitespace
use constant CHOMP_ALL       => 1; # remove whitespace
use constant CHOMP_COLLAPSE  => 2; # collapse whitespace to a single space

my @CHOMP    = qw( CHOMP_NONE CHOMP_ALL CHOMP_COLLAPSE );
 
@EXPORT_OK   =   ( @CHOMP );
%EXPORT_TAGS = (
    'all'      => [ @EXPORT_OK ],
    'chomp'    => [ @CHOMP     ],
);

1;

__END__

