#============================================================= -*-perl-*-
#
# Template::Contract
#
# DESCRIPTION
#   Defines the configuration of, and service level agreement for
#   a template processing service.
#
# AUTHOR
#   Andy Wardley   <abw@kfs.org>
#
# COPYRIGHT
#   Copyright (C) 2001 Andy Wardley.  All Rights Reserved.
#
#   This module is free software; you can redistribute it and/or
#   modify it under the same terms as Perl itself.
#
# REVISION
#   $Id$
#
#========================================================================

package Template::Contract;

require 5.005;

use strict;
use Template::Base;
use vars qw( $VERSION $DEBUG $FACILITIES );
use base qw( Template::Base );

$VERSION    = sprintf("%d.%02d", q$Revision$ =~ /(\d+)\.(\d+)/);
$DEBUG      = 0 unless defined $DEBUG;
$FACILITIES = {
    stash => 'Template::Stash',
};

sub facilities {
    my $self = shift;
    my $facilities = ref $self ? $self->{ FACILITIES } : $FACILITIES;
    $facilities ||= $FACILITIES;
    return $facilities;
};


1;

__END__
