package Template::Parser::Test1;
use base qw( Template::Parser::Handler );
use vars qw( %DIRECTIVES );

%DIRECTIVES = (
    INCLUDE     => 'include',
    PROCESS     => 'process',
    TAGS        => 'tags',
    INTERPOLATE => 'interpolate',
    FOREACH     => 'foreach',
);

sub tags {
    my ($self, $parser, $keword, $dir) = @_;
    $parser->tags($dir);
    return '';
}

sub interpolate {
    my ($self, $parser, $keword, $dir) = @_;

    if ($dir =~ /^\s*(ON|OFF)\s*$/i) {
	$parser->interpolate($1 eq 'ON');
    }
    else {
	return $self->error("invalid interpolate value: $dir");
    }
    return '';
}

sub include {
    my ($self, $parser, $keyword, $dir) = @_;
    return "<$keyword>$dir</$keyword>";
}

sub process {
    my ($self, $parser, $keyword, $dir) = @_;
    return "<$keyword>$dir</$keyword>";
}

sub foreach {
    my ($self, $parser, $keyword, $dir) = @_;
    $self->DEBUG($self->ID, "->foreach($keyword, $dir)\n")
	if $DEBUG;
    $parser->new_handler( $self->clone( END => 'end_foreach' ) )
	|| return $self->error($parser->error());
    return "<$keyword>$dir</$keyword>";
}
    
sub end_foreach {
    my ($self, $parser, $keyword, $dir) = @_;
    $self->DEBUG($self->ID, "->end_foreach($keyword, $dir)\n")
	if $DEBUG;
    $parser->old_handler()
	|| return $self->error($parser->error());
    return "<$keyword>$dir</$keyword>";
}
    


