#!/usr/bin/perl -w                                         # -*- perl -*-

use strict;
use lib qw( ../lib ./lib );
use Template::Test;
use Template::Parser;
use Template::Stash::v3;
use Template::Compiler;
use Template::Parser::Handler;

use vars qw( $DEBUG );
$DEBUG = 0;
$Template::Parser::DEBUG = $DEBUG;
$Template::Compiler::DEBUG = $DEBUG;
$Template::Parser::Handler::DEBUG = $DEBUG;
$Template::Stash::v3::DEBUG = $DEBUG;
$Template::Stash::v3::WARNINGS = $DEBUG;

local $" = ', ';
local $/ = undef;

my $source = <DATA>;
my $backup = $source;
my $parser = Template::Parser->new();
assert( $parser, $Template::Parser::ERROR );

my $result = $parser->parse_template($source)
	|| print "ERRROR: ", $parser->error(), "\n";		

local $" = ', ';
print "result: [@$result]\n";

__END__
[% foo = "bar$baz${wiz}" %]
[% x.y = z(foo).x(3.14) + 2.718 %]
[% foo = bar ? 'wiz' : 'waz' %]

[% CONSTANT
     title = 'Hello World'
     root  = '/~abw/test'
     img   = "$root/images"
     cgi   = '/cgi-bin/abw'
     app1  = "$cgi/testapp1.pl"
     uid   = 'abw'
     abw   = 'Andy Wardley'
     args  = qw[ col name title ]
%]
[% foo = title %]
[% a = title %]
root: [% root %]
name: [% abw %]
images: [% img %]
app1: [% app1 %]
args.0: [% args.0 %]
