#!/usr/bin/perl -w                                         # -*- perl -*-

use strict;
use lib qw( ../lib ./lib );
use Template::Context;
use Template::Facility;
use Template::Test;


my $context = Template::Context->new()
    || die Template::Context->error();

my $facility = Template::Facility->new()
    || die Template::Facility->error();

ok( ! $facility->context() );
match( $facility->error(), 'no context' );

$facility->acquire($context);

match( $facility->context(), $context );

$facility->release();

ok( ! $facility->context() );
match( $facility->error(), 'no context' );
