#!/usr/bin/perl -w                                         # -*- perl -*-

use strict;
use lib qw( ../lib ./lib );
use Template::Test;

my $factory = $Template::FACTORY;
match( $factory, 'Template::Factory' );

my $e = $factory->create( exception => 'barf', 'been sick' );
ok( $e );
match( $e->type(), 'barf' );
match( $e->info(), 'been sick' );

$e = $factory->create( nonsense => 'this should fail' );
ok( ! $e );
match( $factory->error(), "module not recognised: 'nonsense'" );

$e = Template->create( exception => 'yak', 'more vomit' );
ok( $e );
match( $e->type(), 'yak' );
match( $e->info(), 'more vomit' );


my $template = Template->new();
$factory = $template->factory();
ok( $factory );
match( $factory, 'Template::Factory' );

$e = $template->create( exception => 'yak', 'more vomit' );
ok( $e );
match( $e, 'yak error - more vomit' );


