#!/usr/bin/perl -w                                         # -*- perl -*-
#
# NOTE: this tests v3 stash in a v2 framework so make sure that it finds
# V2 file *before* any of the v3 files.

use strict;
use lib qw( /home/abw/tt2/lib ../lib ./lib );
use Template;
use Template::Test;
use Template::Stash::v3;

local $/ = undef;
my $DEBUG  = 0;

ntests(16);

my $vars = { 
    n => 0,
    number  => {
        zero   => 0,
	one    => 1,
	two    => 2,
        three  => 3,
    },
    primes => [ 2, 3, 5, 7, 11 ],
};

my $stash = Template::Stash::v3->new($vars);

match( $stash->post_inc('n'), 0 );
match( $stash->get('n'), 1 );
match( $stash->post_inc('n'), 1 );
match( $stash->get('n'), 2 );
match( $stash->pre_inc('n'), 3 );
match( $stash->get('n'), 3 );

match( $stash->post_inc('n', 3), 3 );
match( $stash->get('n'), 6 );
match( $stash->pre_inc('n', 12), 18 );
match( $stash->get('n'), 18 );

sub number {
    my $n = shift;
    return [ number => 0, $n, 0 ];
}

#$Template::Stash::v3::DEBUG = 1;
#$Template::Stash::v3::WARNINGS = 1;

match( $stash->post_inc(number('zero')), 0 );
match( $stash->get(number('zero')), 1 );
match( $stash->post_inc(number('zero')), 1 );
match( $stash->get([ number => 0, zero => 0 ]), 2 );
match( $stash->pre_inc([ number => 0, zero => 0 ]), 3 );
match( $stash->get(number('zero')), 3 );

match( $stash->pre_inc([ primes => 0, 0 => 0 ]), 3 );
match( $stash->post_inc([ primes => 0, 0 => 0 ], 5), 3 );
match( $stash->get([ primes => 0, 0 => 0 ]), 8 );


