#!/usr/bin/perl -w                                         # -*- perl -*-

use strict;
use lib qw( ../lib ./lib );
use Template::Test;
use Template::Parser;
use Template::Parser::Handler;

$Template::Parser::DEBUG = 1;
$Template::Parser::Handler::DEBUG = 1;

my $handler = Template::Parser::Handler->new({
    DIRECTIVES => {
	foo => 'foo item',
	bar => 'bar item',
    },
}) || die Template::Parser::Handler->error();

ok( $handler, $Template::Parser::Handler::ERROR );

my $dirs = $handler->directives();
ok( $dirs, $handler->error() );
match( $dirs->{ foo }->[1], 'foo item' );

my $new_handler = $handler->clone( foo => 'new foo', baz => 'new baz' );
ok( $new_handler, $handler->error() );
$dirs = $new_handler->directives;
ok( $dirs, $new_handler->error() );
match( $dirs->{ foo }->[1], 'new foo' );
match( $dirs->{ bar }->[1], 'bar item' );
match( $dirs->{ baz }->[1], 'new baz' );
